/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<imagedocument.h>)
#  include <imagedocument.h>
#endif
#if __has_include(<imageitem.h>)
#  include <imageitem.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_org_mauikit_imagetools_editor()
{
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    qmlRegisterTypesAndRevisions<ImageDocument>("org.mauikit.imagetools.editor", 1);
    qmlRegisterTypesAndRevisions<ImageItem>("org.mauikit.imagetools.editor", 1);
    qmlRegisterAnonymousType<QQuickItem, 254>("org.mauikit.imagetools.editor", 1);
    qmlRegisterEnum<ImageItem::FillMode>("ImageItem::FillMode");
    QT_WARNING_POP
    qmlRegisterModule("org.mauikit.imagetools.editor", 1, 0);
}

static const QQmlModuleRegistration orgmauikitimagetoolseditorRegistration("org.mauikit.imagetools.editor", qml_register_types_org_mauikit_imagetools_editor);
